(function ($, Drupal, drupalSettings) {

   Drupal.behaviors.infobox = {

    attach: function (context, settings) {
      var timer;
      $('.termef .infobox', context).on('mouseenter', function () {
        var container = $(this).parent('span.termef');

        var tooltip = container.find('.tooltip-container');
        if (tooltip.length === 1) {
          return;
        }
        
        var search = $(this).attr('rel');
        var callback = '/termef/api/' + search;

        timer = setTimeout(function () {
          $.ajax({
            url : callback,
            type : 'GET',
            dataType : 'json',
            success : function(data, status){
              container.append(data);
              var tooltip = container.find('.tooltip-container');
              tooltip.draggable();
            },
            error : function(data, status){
              alert(Drupal.t('The service is temporarily unavailable'));
            }
          });
        }, 500);

      }).on('mouseleave', function () {
          clearTimeout(timer);
      });

      $(document).on("click", '.more', function(event) {
        var less = $(this).parent('.more-container').parent('.content.less');
        var full = less.parent('.inner').find('.content.full');
        less.hide();
        full.show();
        return;
      });

      $(document).on("click", '.less', function(event) {
        var full = $(this).parent('.more-container').parent('.content.full');
        var less = full.parent('.inner').find('.content.less');
        full.hide();
        less.show();
      });

      $(document).on("click", '.close', function(event) {
        $(this).parentsUntil('.termef').remove('.tooltip-container');
        return;
      });

     }
 };
 })(jQuery, Drupal, drupalSettings);